import {FC, ReactNode} from "react";
import {DoadSearch, DoadSearchProps} from "./search";
import {Avatar, Col, Row} from "antd";
import {BellOutlined} from "@ant-design/icons";
import {DoadLogo} from './logo'

export interface DoadHeadProps {
  search?: DoadSearchProps | boolean
  logo?: ReactNode
}

export const DoadHead: FC<DoadHeadProps> = (props) => {
  const searchProps = props.search === true ? {} : props.search
  return (
    <Row wrap={false} align='middle'>
      <Col flex="187px" style={{
        alignItems: 'center',
        width: '100%',
        justifyContent: 'start',
        display: 'flex',
        gap: '12px',
        fontSize: '24px',
      }}>
        <DoadLogo element={props.logo}/>
      </Col>
      <Col flex="1px" style={{borderInlineEnd: '1px solid rgba(5, 5, 5, 0.06)', height: '22px'}}/>
      <Col flex="none">
        {searchProps && <DoadSearch {...searchProps} />}
      </Col>
      <Col flex="auto"/>
      <Col flex="none" style={{display: "flex", alignItems: 'center', gap: '40px'}}>
        <BellOutlined style={{fontSize: '22px', opacity: '0.65'}}/>
        <Avatar src="https://wx.qlogo.cn/mmhead/Q3auHgzwzM7nCvm721MTlkPGQuLWEYYYkV6ibpDI9zcSlkBIbib2Emyw/0"/>
      </Col>
    </Row>
  )
}

DoadHead.displayName = 'DoadHead'
