import {CSSProperties, FC, ReactNode} from 'react';
import {mergeStyles} from '../utils';

export const doadLogoStyle: CSSProperties = {
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  flexWrap: 'nowrap',
}

export const defaultLogoElement = (
  <div style={{display: 'flex', alignItems: 'center', gap: '8px'}}>
    <img
      src="https://gw.alipayobjects.com/zos/rmsportal/KDpgvguMpGfqaHPjicRK.svg"
      height="32"
      width="32"
      alt="logo"
    />
    <span>Ant Design</span>
  </div>
)

export interface DoadLogoProps {
  style?: CSSProperties
  element?: ReactNode
}

export const DoadLogo: FC<DoadLogoProps> = (props) => {
  return (
    <div style={mergeStyles(doadLogoStyle, props.style)}>
      {props.element ?? defaultLogoElement}
    </div>
  )
}

DoadLogo.displayName = 'DoadLogo'
