import {CSSProperties, FC, ReactNode} from "react";
import {Input} from "antd";
import {SearchOutlined} from "@ant-design/icons";
import {mergeStyles} from "../utils";

export const doadSearchShortcutStyle: CSSProperties = {
  color: '#ced4d9',
  backgroundColor: 'rgba(150, 150, 150, 0.06)',
  border: '1px solid rgba(100, 100, 100, 0.2)',
  borderRadius: '4px',
  padding: '4px 8px',
  fontSize: '12px',
  lineHeight: 1,
}

export interface DoadSearchProps {
  placeholder?: string
  shortcut?: ReactNode
  bordered?: boolean
  style?: CSSProperties
  shortcutStyle?: CSSProperties
}

export const DoadSearch: FC<DoadSearchProps> = (props) => {
  return (
    <Input
      style={props.style}
      prefix={<SearchOutlined/>}
      suffix={props.shortcut ?? <span style={mergeStyles(doadSearchShortcutStyle, props.shortcutStyle)}>Ctrl+K</span>}
      placeholder={props.placeholder ?? '请输入关键字搜索'}
      bordered={props.bordered ?? false}
    />
  )
}

DoadSearch.displayName = 'DoadSearch'
