import {FC, ReactNode} from "react";
import {Col, Row} from "antd";

export interface DoadTitleProps {
  title?: ReactNode
  tailing?: ReactNode
}

export const DoadTitle: FC<DoadTitleProps> = (props) => {
  if (props.title == null) {
    return null
  }
  if (props.tailing == null) {
    return (
      <h2 style={{
        fontSize: '26px',
        lineHeight: '36px',
        marginBottom: '12px',
        fontWeight: 400,
        fontStyle: 'normal',
      }}>{props.title}</h2>
    )
  }
  return  (
    <Row
      style={{marginBottom: '12px'}}
      justify="space-between"
      align="middle"
      gutter={36}
      wrap={false}
    >
      <Col flex='none'>
        <h2 style={{
          fontSize: '26px',
          lineHeight: '36px',
          fontWeight: 400,
          fontStyle: 'normal',
        }}>{props.title}</h2>
      </Col>
      <Col flex='none'>
        {props.tailing}
      </Col>
    </Row>
  )
}

DoadTitle.displayName = 'DoadTitle'
