import {ComponentType} from "react";

export function toArray<T>(t: T | T[]): T[] | undefined {
  if (t == null) return undefined
  return Array.isArray(t) ? t : [t]
}

export function getDisplayName(Component: unknown) {
  return (Component as ComponentType).displayName
    || (Component as ComponentType).name
    || 'Component'
}
