import {DefineOptions, MockMethod} from "./types";
import {setMockData} from "./utils";

export function defineMock(opts: DefineOptions) {
  if (!(import.meta as any).env?.VITE_USE_MOCK) {
    return
  }
  let items: MockMethod | Array<MockMethod> | undefined
  if (typeof opts === 'function') {
    items = opts()
  } else if (Array.isArray(opts)) {
    items = opts
  } else if ('setup' in opts) {
    if (opts.mock || opts.mock == null) {
      items = opts.setup()
    }
  } else {
    items = opts
  }
  if (!items) {
    return
  }
  if (Array.isArray(items)) {
    items.forEach(setMockData)
  } else {
    setMockData(items)
  }
}
